/************************************************
* EXETEST - sample program to show how to add	*
* a configuration section, or small data file	*
* to your EXE file.								*
*												*
* 900327 - MCMason: TURBO C v2.01				*
************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <io.h>
#include "exedata.h"

struct ConfDat
	{
	char  Lname[30];
	char  Fname[30];
	char  MI;
	char  Password[10];
	int   RunsLeft;
	} security;

char buf[133];

/************************************************
* InitializeUser - request information from the	*
* user to initialize the security control data	*
*												*
* OUT:	security contains the user information	*
************************************************/
void InitializeUser(void)
	{
	puts("\nPlease enter your last name:");
	gets(buf);
	strncpy(security.Lname,buf,29);
	puts("\nPlease enter your first name:");
	gets(buf);
	strncpy(security.Fname,buf,29);
	puts("\nPlease enter your middle initial:");
	gets(buf);
	security.MI=buf[0];
	puts("\nPlease enter a password for the "
		 "application:");
	gets(buf);
	strncpy(security.Password,buf,9);
	security.RunsLeft=10;
	puts("Configuration complete.");
	deWrite(&security,sizeof(struct ConfDat));
	exit(0);
	}

/************************************************
* main - the sample application code.  This		*
* sample application does nothing but tell you	*
* how many times more you may run it, before	*
* the license expires.							*
************************************************/
void main(void)
	{
	puts("EXEDATA - demonstration of putting data"
		 " in the end of an EXE file\n");
	deName("EXETEST.EXE");
	if (deRead(&security,sizeof(struct ConfDat)))
		InitializeUser();
	if (security.RunsLeft > 0)
		{
		puts("Please enter the password:");
		gets(buf);
		if (strncmp(security.Password,buf,9))
			Err("invalid password");
		--security.RunsLeft;
		printf("\n\n%s, %s %c",security.Lname,
			security.Fname, security.MI);
		printf("\nRegister now, you have only "
			   "%d runs left!",security.RunsLeft);
		deWrite(&security,sizeof(struct ConfDat));
		}
	else
		printf("\n\nPlease contact our customer "
			   "support center at:\n1-(999) 888"
			   "-7777 for ordering information\n"
			   "Your license has expired.");
	}
