/************************************************
* ToneTest - test the sound routines			*
*												*
* 900221 MCMason - originally written			*
************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <dos.h>
#include "tones.h"

void main(void)
	{
	int i;

	/* Make some sounds */
	spChirp(220,440,10);	/* Glide down	*/
	spTone(330,1000);		/* Single tone	*/
	spNoise(1000000L);		/* Some noise	*/
	spTone(110,1000);		/* Single tone	*/
	spChirp(1000,1,3);		/* Glide up		*/
	for (i=0; i<15; i++)	/* Phasor		*/
		spChirp(1,150,2);
	spChirp(1,300,2);

	/* Make a 'concert A' for 1.5 seconds	*/
	spSound(440);
	delay(1500);
	
	/* Make same sounds, with TIMER tone 	*
	 * superimposed, for MULTISOUND effect	*/
	spChirp(220,440,10);	/* Glide down	*/
	spTone(330,1000);		/* Single tone	*/
	spNoise(1000000L);		/* Some noise	*/
	spTone(110,1000);		/* Single tone	*/
	spChirp(1000,1,3);		/* Glide up		*/
	for (i=0; i<15; i++)	/* Phasor		*/
		spChirp(1,150,2);
	spChirp(1,300,2);
	spNosound();		/* Turn off timer	*/
	}
